<xsl:stylesheet version="1.0"
                      xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                      xmlns:out="output.xsl">

<xsl:param name="variable-name">v</xsl:param>
<xsl:param name="default-value"/>
<xsl:output indent="yes"/>

<xsl:template match="/">
   <out:stylesheet version="1.0">
   <out:variable name="{$variable-name}">
      <xsl:value-of select="$default-value"/>
   </out:variable>
   </out:stylesheet>
</xsl:template>

<xsl:namespace-alias
               stylesheet-prefix="out"
               result-prefix="xsl"/>

</xsl:stylesheet>

