<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                      version="1.0"
                      xmlns:xalan="http://xml.apache.org/xslt"
                      xmlns:user="http://any.user.com/xslt/extension1"
                      extension-element-prefixes="user">

<xalan:component prefix="user" elements="trace" functions="datePlus"> 
   <xalan:script lang="javascript">
      function trace (xslProcessorContext, extensionElement) {
         return "trace called, message=" +
            extensionElement.getAttribute("message");
      }

      function datePlus (days) {
         var d = new Date();
         d.setDate(d.getDate() + parseInt(days));
         return d.toLocaleString();
      }
   </xalan:script> 
</xalan:component>

<xsl:template match="/">   
    <html><body>
    <p><user:trace message="starting"/></p>
    <p>In 5 days time it will be <xsl:value-of select="user:datePlus(5)"/></p>
    <p><user:trace message="finished"/></p>
    </body></html>    
</xsl:template>

</xsl:stylesheet>

